using System;
using System.Collections.Generic;
using System.ComponentModel;
using Godot;

public static partial class Globals
{
    public static bool _animationRunning;
    public static Random _rng = new();
    public static List<string> _addressTranslation = new(){"NW","N","NE","W","C","E","SW","S","SE"};

    public static void LoadSeed(int SEED)
    {
        _rng = new(SEED);
    }

    public static T LoadScene<T>(string SCENE_PATH)
    {
        PackedScene scene = ResourceLoader.Load<PackedScene>(SCENE_PATH);
        T instance = (T)(object)scene.Instantiate();
        return instance;
    }
}